Commits

Moises Henriquez committed 7380ee1 Merge

Merge branch 'veclinux-7.1' of http://bitbucket.org/VLCore/vabs into veclinux-7.1

Comments (0)

Files changed (4)

var/vabs/udev/src/patches/60-cdrom_id.rules.diff

+--- ./src/cdrom_id/60-cdrom_id.rules.orig	2012-01-30 12:02:56.526251552 -0600
++++ ./src/cdrom_id/60-cdrom_id.rules	2013-01-17 21:11:20.821006629 -0600
+@@ -15,6 +15,24 @@
+ # enable the receiving of media eject button events
+ IMPORT{program}="cdrom_id --lock-media $devnode"
+ 
+-KERNEL=="sr0", SYMLINK+="cdrom", OPTIONS+="link_priority=-100"
++# create default links to the first detected device
++KERNEL=="sr0", ENV{ID_CDROM}=="1",        SYMLINK+="cdrom", OPTIONS+="link_priority=-100"
++KERNEL=="sr0", ENV{ID_CDROM_CD_R}=="1",   SYMLINK+="cdr",   OPTIONS+="link_priority=-100"
++KERNEL=="sr0", ENV{ID_CDROM_CD_R}=="1",   SYMLINK+="cdwriter",   OPTIONS+="link_priority=-100"
++KERNEL=="sr0", ENV{ID_CDROM_CD_RW}=="1",  SYMLINK+="cdrw",  OPTIONS+="link_priority=-100"
++KERNEL=="sr0", ENV{ID_CDROM_DVD}=="1",    SYMLINK+="dvd",   OPTIONS+="link_priority=-100"
++KERNEL=="sr0", ENV{ID_CDROM_DVD_R}=="1",  SYMLINK+="dvdr",  OPTIONS+="link_priority=-100"
++KERNEL=="sr0", ENV{ID_CDROM_DVD_R}=="1",  SYMLINK+="dvdwriter", OPTIONS+="link_priority=-100"
++KERNEL=="sr0", ENV{ID_CDROM_DVD_RW}=="1", SYMLINK+="dvdrw", OPTIONS+="link_priority=-100"
++
++# create all other device links
++KERNEL=="sr[0-9]*", ENV{ID_CDROM}=="1",        SYMLINK+="cdrom%n", OPTIONS+="link_priority=-100"
++KERNEL=="sr[0-9]*", ENV{ID_CDROM_CD_R}=="1",   SYMLINK+="cdr%n",   OPTIONS+="link_priority=-100"
++KERNEL=="sr[0-9]*", ENV{ID_CDROM_CD_R}=="1",   SYMLINK+="cdwriter%n",   OPTIONS+="link_priority=-100"
++KERNEL=="sr[0-9]*", ENV{ID_CDROM_CD_RW}=="1",  SYMLINK+="cdrw%n",  OPTIONS+="link_priority=-100"
++KERNEL=="sr[0-9]*", ENV{ID_CDROM_DVD}=="1",    SYMLINK+="dvd%n",   OPTIONS+="link_priority=-100"
++KERNEL=="sr[0-9]*", ENV{ID_CDROM_DVD_R}=="1",  SYMLINK+="dvdr%n",  OPTIONS+="link_priority=-100"
++KERNEL=="sr[0-9]*", ENV{ID_CDROM_DVD_R}=="1",  SYMLINK+="dvdwriter%n", OPTIONS+="link_priority=-100"
++KERNEL=="sr[0-9]*", ENV{ID_CDROM_DVD_RW}=="1", SYMLINK+="dvdrw%n", OPTIONS+="link_priority=-100"
+ 
+ LABEL="cdrom_end"

var/vabs/udev/src/patches/rule_generator.diff

-diff -Nur udev-182.orig/src/rule_generator/write_cd_rules udev-182/src/rule_generator/write_cd_rules
---- udev-182.orig/src/rule_generator/write_cd_rules	2012-03-24 22:47:53.138527732 -0500
-+++ udev-182/src/rule_generator/write_cd_rules	2012-03-24 22:59:42.595889830 -0500
+--- ./src/rule_generator/write_cd_rules.orig	2012-01-28 18:15:46.958827013 -0600
++++ ./src/rule_generator/write_cd_rules	2013-01-17 22:58:27.294859303 -0600
 @@ -3,7 +3,8 @@
  # This script is run if an optical drive lacks a rule for persistent naming.
  #
  # It adds symlinks for optical drives based on the device class determined
 -# by cdrom_id and used ID_PATH to identify the device.
-+# by cdrom_id and uses ID_PATH or ID_SERIAL or ID_MODEL and ID_REVISION to
++# by cdrom_id and uses ID_SERIAL or ID_MODEL and ID_REVISION to
 +# identify the device.
  
  # (C) 2006 Marco d'Itri <md@Linux.IT>
  #
-@@ -105,18 +106,57 @@
+@@ -66,37 +67,16 @@
+         exit 1
+ fi
+ 
+-if [ "$1" ]; then
+-        METHOD="$1"
++# ID_PATH is gone from the ata subsystem used in recent kernels, so
++# always use the by-id method:
++if [ "$ID_SERIAL" ]; then
++        RULE="ENV{ID_SERIAL}==\"$ID_SERIAL\""
++elif [ "$ID_MODEL" -a "$ID_REVISION" ]; then
++        RULE="ENV{ID_MODEL}==\"$ID_MODEL\", ENV{ID_REVISION}==\"$ID_REVISION\""
+ else
+-        METHOD='by-path'
+-fi
+-
+-case "$METHOD" in
+-        by-path)
+-        if [ -z "$ID_PATH" ]; then
+-                echo "$DEVPATH not supported by path_id. by-id may work." >&2
+-                exit 1
+-        fi
+-        RULE="ENV{ID_PATH}==\"$ID_PATH\""
+-        ;;
+-
+-        by-id)
+-        if [ "$ID_SERIAL" ]; then
+-                RULE="ENV{ID_SERIAL}==\"$ID_SERIAL\""
+-        elif [ "$ID_MODEL" -a "$ID_REVISION" ]; then
+-                RULE="ENV{ID_MODEL}==\"$ID_MODEL\", ENV{ID_REVISION}==\"$ID_REVISION\""
+-        else
+-                echo "$DEVPATH not supported by ata_id. by-path may work." >&2
+-                exit 1
+-        fi
+-        ;;
+-
+-        *)
+-        echo "Invalid argument (must be either by-path or by-id)." >&2
++        echo "$DEVPATH not supported by ata_id.  Unable to generate persistent rules." >&2
+         exit 1
+-        ;;
+-esac
++fi
+ 
+ # Prevent concurrent processes from modifying the file at the same time.
+ lock_rules_file
+@@ -105,18 +85,62 @@
  choose_rules_file
  
  link_num=$(find_next_available 'cdrom[0-9]*')
  
  match="SUBSYSTEM==\"block\", ENV{ID_CDROM}==\"?*\", $RULE"
  
- comment="$ID_MODEL ($ID_PATH)"
+-comment="$ID_MODEL ($ID_PATH)"
 -
++comment="$ID_MODEL ($ID_SERIAL)"
          write_rule "$match" "cdrom$link_num" "$comment"
 -[ "$ID_CDROM_CD_R" -o "$ID_CDROM_CD_RW" ] && \
 -        write_rule "$match" "cdrw$link_num"
 -        write_rule "$match" "dvd$link_num"
 -[ "$ID_CDROM_DVD_R" -o "$ID_CDROM_DVD_RW" -o "$ID_CDROM_DVD_RAM" ] && \
 -        write_rule "$match" "dvdrw$link_num"
-+        if [ "$(find_all_rules 'SYMLINK+=' cdrom)" = "" ]; then
++        if [ "$link_num" = "0" ]; then
 +                write_rule "$match" "cdrom"
 +        fi
 +
 +        if [ "$ID_CDROM_CD_R" ]; then
-+                       write_rule "$match" "cdr$link_num"
-+                if [ "$(find_all_rules 'SYMLINK+=' cdr)" = "" ]; then
++                write_rule "$match" "cdr$link_num"
++                if [ "$link_num" = "0" ]; then
 +                        write_rule "$match" "cdr"
 +                fi
 +
 +                write_rule "$match" "cdwriter$link_num"
-+                if [ "$(find_all_rules 'SYMLINK+=' cdwriter)" = "" ]; then
++                if [ "$link_num" = "0" ]; then
 +                        write_rule "$match" "cdwriter"
 +                fi
 +
 +                if [ "$ID_CDROM_CD_RW" ]; then
 +                        write_rule "$match" "cdrw$link_num"
-+                        if [ "$(find_all_rules 'SYMLINK+=' cdrw)" = "" ]; then
++                        if [ "$link_num" = "0" ]; then
 +                                write_rule "$match" "cdrw"
 +                        fi
 +                fi
 +
-+                if [ "$(find_all_rules 'SYMLINK+=' writer)" = "" ]; then
++                if [ "$link_num" = "0" ]; then
 +                        write_rule "$match" "writer"
 +                fi
 +        fi
 +
 +        if [  "$ID_CDROM_DVD" ]; then
 +                write_rule "$match" "dvd$link_num"
-+                if [ "$(find_all_rules 'SYMLINK+=' dvd)" = "" ]; then
++                if [ "$link_num" = "0" ]; then
 +                        write_rule "$match" "dvd"
 +                fi
 +
 +                if [ "$ID_CDROM_DVD_R" -o "$ID_CDROM_DVD_RW" -o "$ID_CDROM_DVD_RAM" ]; then
++                        write_rule "$match" "dvdr$link_num"
++                        if [ "$link_num" = "0" ]; then
++                                write_rule "$match" "dvdr"
++                        fi
++
 +                        write_rule "$match" "dvdrw$link_num"
-+                        if [ "$(find_all_rules 'SYMLINK+=' dvdrw)" = "" ]; then
++                        if [ "$link_num" = "0" ]; then
 +                                write_rule "$match" "dvdrw"
 +                        fi
 +
 +                        write_rule "$match" "dvdwriter$link_num"
-+                        if [ "$(find_all_rules 'SYMLINK+=' dvdwriter)" = "" ]; then
++                        if [ "$link_num" = "0" ]; then
 +                                write_rule "$match" "dvdwriter"
 +                        fi
 +                fi

var/vabs/udev/src/slack-desc

+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.  Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in.  You must make
+# exactly 11 lines for the formatting to be correct.  It's also customary to
+# leave one space after the ':'.
+
+    |-----handy-ruler-------------------------------------------------------|
+udev: udev (dynamic device directory system)
+udev:
+udev: udev provides a dynamic device directory containing only the files
+udev: for the devices which are actually present.  It creates or removes
+udev: device node files usually located in the /dev directory.
+udev:
+udev: udev requires a 2.6 or newer kernel.
+udev:
+udev: Kay Sievers is the udev maintainer.
+udev:
+udev:

var/vabs/udev/src/udev.SlackBuild

 VER=$(echo $VERSION|sed 's/-/_/') #this fixes - in version
 VL_PACKAGER=${VL_PACKAGER:-"Uelsk8s"}   #Enter your Name!
 LINK=${LINK:-"http://www.kernel.org/pub/linux/utils/kernel/hotplug/$NAME-$VERSION.tar.xz"}  #Enter URL for package here!
-
+LINK1=${LINK1:-"http://slackware.osuosl.org/slackware-current/source/a/udev/udev-fixed-devices.tar.gz"}
 
 #SYSTEM VARIABLES
 #----------------------------------------------------------------------------
-BUILDNUM=${BUILDNUM:-"3"}
+BUILDNUM=${BUILDNUM:-"4"}
 VL_VERSION=${VL_VERSION:-"$(ls /var/log/packages/|grep vlconfig2|cut -d "-" -f4|cut -c 2-5)"}
 BUILD=${BUILD:-"$BUILDNUM""$VL_VERSION"}
 ARCH=${ARCH:-"$(uname -m)"}
 LDFLAG_OPTIONS=${LDFLAG_OPTIONS:-""}
 ADDRB=${ADDRB:-""} #Add deps that need to be added to the slack-required file here
 EXRB=${EXRB:-""} #Add deps that need to be excluded from the slack-required file here
-MAKEDEPENDS=${MAKEDEPENDS:-"util-linux kmod"} #Add deps needed TO BUILD this package here.
+MAKEDEPENDS=${MAKEDEPENDS:-"glib2 util-linux kmod"} #Add deps needed TO BUILD this package here.
 #----------------------------------------------------------------------------
 
 # DO NOT EXECUTE if NORUN is set to 1
 
 #GET THE SOURCE
 #--------------------------------------------
-for SRC in $(echo $LINK);do
+for SRC in $(echo $LINK $LINK1);do
 if [ ! -f $CWD/$(basename $SRC) ]
 then
         wget --no-check-certificate -c $SRC
 #-----------------------------------------------------------------------
 
 echo "Configuring source..."
-./configure --prefix=/usr \
+./configure \
+  --prefix=/usr \
   --with-rootprefix=/ \
   --libdir=/usr/lib${LIBDIRSUFFIX} \
   --with-rootlibdir=/lib${LIBDIRSUFFIX} \
   --enable-floppy \
   --enable-static \
   --enable-rule_generator \
-  --infodir=/usr/info \
   --sysconfdir=/etc \
-  --localstatedir=/var \
   --mandir=/usr/man \
-  --with-included-gettext \
-  --disable-debug \
-  --program-prefix="" \
-  --program-suffix="" \
   --build=$CONFIGURE_TRIPLET \
   $CONFIG_OPTIONS || exit 1